
TYPO3.Flow - Feature # 3153

Status: New Priority: Should have
Author: Robert Lemke Category: MVC
Created: 2009-04-22 Assigned To:
Updated: 2015-01-25 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Support of action based filter rules defined by annotation.
Description

Similar to #3092 there should be a way to declare additional filter rules for the arguments of an action method:

/**
 * @param string $theArgument
 * @filter $theArgument LowerCase, Trim
 */
public function theAction($theArgument) {
}

Related issues:
related to TYPO3.Flow - Feature # 3092: Support annotation-based validation r... Resolved 2009-04-15

History
#1 - 2009-05-19 12:21 - Robert Lemke
- Target version changed from 1.0 alpha 1 to 283

#2 - 2009-06-04 15:02 - Robert Lemke
- Priority changed from Must have to Should have
- Target version changed from 283 to 1.0 alpha 2

#3 - 2009-06-04 15:03 - Robert Lemke
- Assigned To deleted (Robert Lemke)

#4 - 2009-06-04 15:03 - Robert Lemke
- Status changed from Accepted to New

#5 - 2009-06-26 16:23 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#6 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#7 - 2015-01-25 18:23 - Stefan Neufeind

There is a working solution for @filter implemented as an extension (for Extbase). I like their approach and think we might want to consider it for
Extbase/Flow.

https://github.com/AOEpeople/extbase_filter
